<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class UserAutoInvest extends Model {
    protected $dates = ['next_execution_at'];
    public function plan(){ return $this->belongsTo(AutoInvestPlan::class,'auto_invest_plan_id'); }
    public function executions(){ return $this->hasMany(AutoInvestExecution::class,'user_auto_invest_id'); }
}